| QxOrm 1.4.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qx::IxPersistableCollection Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::IxPersistableCollection : common interface (abstract class) for collection persistent classes based on qx::IxPersistable and qx::IxCollection More...

`#include <IxPersistableCollection.h>`

Inheritance diagram for qx::IxPersistableCollection:

List of all members.

## Public Member Functions
| IxPersistableCollection ()
virtual | ~IxPersistableCollection ()
virtual long | __count () const =0
virtual void | __clear ()=0
virtual bool | __remove (long idx)=0
virtual qx::IxPersistable_ptr | __at (long idx) const =0

## Detailed Description

qx::IxPersistableCollection : common interface (abstract class) for collection persistent classes based on qx::IxPersistable and qx::IxCollection

Definition at line 63 of file IxPersistableCollection.h.

## Constructor & Destructor Documentation

qx::IxPersistableCollection::IxPersistableCollection | ( |  | ) |

virtual qx::IxPersistableCollection::~IxPersistableCollection | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual qx::IxPersistable_ptr qx::IxPersistableCollection::__at | ( | long | idx | ) | const`[pure virtual]`

Implemented in qx::QxPersistableCollection< Key, Value, T >, and qx::QxPersistableList< T >.

virtual void qx::IxPersistableCollection::__clear | ( |  | ) | `[pure virtual]`

Implemented in qx::QxPersistableCollection< Key, Value, T >, and qx::QxPersistableList< T >.

virtual long qx::IxPersistableCollection::__count | ( |  | ) | const`[pure virtual]`

Implemented in qx::QxPersistableCollection< Key, Value, T >, and qx::QxPersistableList< T >.

virtual bool qx::IxPersistableCollection::__remove | ( | long | idx | ) | `[pure virtual]`

Implemented in qx::QxPersistableCollection< Key, Value, T >, and qx::QxPersistableList< T >.

The documentation for this class was generated from the following file:

- C:/Dev/_Perso/QxOrm/include/QxDao/IxPersistableCollection.h